# Site-O-Mat Query

## Installation

Setup this registry in your project .npmrc file:

```
@helpers:registry=https://gitea.node001.net/api/packages/HerrHase/npm/
```

Install with npm or yarn

```
npm i --save-dev @helpers/siteomat-query
yarn add --dev @helpers/siteomat-query
```

## Filter

Basic Usage:

```
import { Filter } from '@helpers/siteomat-query'

const filter = new Filter(options)
const isValid = filter.validate(result)
```


## Reduce

Basic Usage:

```
import { reduce } from '@helpers/siteomat-query'
results = reduce({
	limit: 5
}, results)
```

## OrderBy

Basic Usage:

```
import { orderBy } from '@helpers/siteomat-query'
results = orderBy([
	-published_at
], results)
```
